<?php
defined('BASEPATH') or exit('No direct script access allowed');

require APPPATH . '/libraries/REST_Controller.php';
require APPPATH . '/libraries/Format.php';

use Restserver\Libraries\REST_Controller;

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");

class Api_tixid_activity_masukkan extends REST_Controller
{

	public function __construct()
	{
		parent::__construct();
		$this->load->helper(['jwt', 'authorization']);
	}


	public function index_post()
	{
		//PANGGIL DATA
		$tixid = $this->db->query("SELECT * FROM tbl_mst_tixid  order by mst_tixid_urutan asc");

		if ($tixid->num_rows() > 0) {
			foreach ($tixid->result() as $row) {
				$data['tixid'][] = array(
					'mst_tixid_kode' => encrypt($row->mst_tixid_kode, $this->config->item('key')),
					'mst_tixid_nama' => encrypt($row->mst_tixid_nama, $this->config->item('key')),
					'mst_tixid_keterangan' => encrypt($row->mst_tixid_keterangan, $this->config->item('key')),
					'mst_tixid_notasi' => encrypt($row->mst_tixid_notasi, $this->config->item('key')),
					'mst_tixid_harga' => encrypt(number_format($row->mst_tixid_harga, 0, ',', '.'), $this->config->item('key')),
					'mst_tixid_admin' => encrypt(number_format($row->mst_tixid_admin, 0, ',', '.'), $this->config->item('key')),
					'mst_tixid_total' => encrypt(number_format($row->mst_tixid_harga + $row->mst_tixid_admin, 0, ',', '.'), $this->config->item('key')),
					'mst_tixid_poin' => encrypt($row->mst_tixid_poin, $this->config->item('key')),
					'mst_tixid_urutan' => encrypt($row->mst_tixid_urutan, $this->config->item('key')),
					'mst_tixid_status' => encrypt($row->mst_tixid_status, $this->config->item('key')),
				);
			}

			$sess["status"] = "001";
			$sess["pesan"] = "Berhasil";
			$keytoken = strtoupper(substr(sha1(uniqid()), 0, 16));;
			$sess['data'] = array(
				'token' =>  encrypt($keytoken, $this->config->item('keytoken')),
				'value' =>  encrypt(json_encode($data), $keytoken)
			);
			echo json_encode($sess);
		} else {
			$sess["status"] = "002";
			$sess["pesan"] = "Gagal";
			$keytoken = strtoupper(substr(sha1(uniqid()), 0, 16));;
			$sess['data'] = array(
				'token' =>  encrypt($keytoken, $this->config->item('keytoken')),
				'value' =>  encrypt(json_encode(array()), $keytoken)
			);
			echo json_encode($sess);
		}
	}
}
